%define module_name paramiko
# disable tests on BS, they are ok underiurt locally
%define with_tests 0

Summary:       SSH2 protocol for Python
Name:          python-%{module_name}
Version:       2.0.8
Release:       %mkrel 1
Url:           https://github.com/paramiko/paramiko/
License:       LGPLv2+
Group:         Development/Python
Source:        https://pypi.io/packages/source/p/%{module_name}/%{module_name}-%{version}.tar.gz
Obsoletes:     %{module_name}
Provides:      %{module_name}
Requires:      python-cryptography
BuildRequires: pkgconfig(python)
BuildRequires: python-cryptography
BuildRequires: python-setuptools
BuildArch:     noarch


%global paramiko_desc \
Paramiko (a combination of the esperanto words for "paranoid" and "friend") is\
a module for python 2.3 or greater that implements the SSH2 protocol for secure\
(encrypted and authenticated) connections to remote machines. Unlike SSL (aka\
TLS), the SSH2 protocol does not require heirarchical certificates signed by a\
powerful central authority. You may know SSH2 as the protocol that replaced\
telnet and rsh for secure access to remote shells, but the protocol also\
includes the ability to open arbitrary channels to remote services across an\
encrypted tunnel. (This is how sftp works, for example.)\


%description
%{paramiko_desc}

Python 2 version.


%package -n python3-%{module_name}
Group:         Development/Python
Summary:       SSH2 protocol library for python
BuildRequires: python3-setuptools
BuildRequires: python3-cryptography
BuildRequires: python3-devel
Requires:      python3-cryptography

%description -n python3-%{module_name}
%{paramiko_desc}

Python 3 version.


%prep
%autosetup -n %{module_name}-%{version}
%{__chmod} a-x demos/*
%{__sed} -i -e '/^#!/,1d' demos/*


%build
%py2_build
%py3_build

%install
%py2_install
%py3_install



%if 0%{?with_tests}
%check
%{__python2} ./test.py --no-sftp --no-big-file

pushd %{py3dir}
%{__python3} ./test.py --no-sftp --no-big-file
popd
%endif
    
%files
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{module_name}-*.egg-info/
%{python2_sitelib}/%{module_name}/


%files -n python3-%{module_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{module_name}-*.egg-info/
%{python3_sitelib}/%{module_name}/




%changelog
* Sun Apr 01 2018 shlomif <shlomif> 2.0.8-1.mga6
  (not released yet)
+ Revision: 1214046
- New version 2.0.8 ( bug fix update - MGA#22837 )

* Fri May 13 2016 philippem <philippem> 2.0.0-1.mga6
+ Revision: 1014422
- update to 2.0.0

* Fri Feb 19 2016 umeabot <umeabot> 1.15.2-3.mga6
+ Revision: 971000
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 1.15.2-2.mga6
+ Revision: 888946
- rebuild for python 3.5

* Tue Jan 06 2015 philippem <philippem> 1.15.2-1.mga5
+ Revision: 808729
- update to 1.15.2, add Python 3, support OpenSSH 6.7 mga#14724

* Wed Oct 15 2014 umeabot <umeabot> 1.12.4-4.mga5
+ Revision: 746527
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.12.4-3.mga5
+ Revision: 727918
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.12.4-2.mga5
+ Revision: 688202
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 philippem <philippem> 1.12.4-1.mga5
+ Revision: 642768
- Update to 1.12.4
+ pterjan <pterjan>
- Rebuild for new Python

* Fri Mar 07 2014 philippem <philippem> 1.12.2-1.mga5
+ Revision: 600907
- Update to 1.12.2

* Sat Feb 08 2014 dams <dams> 1.12.1-1.mga5
+ Revision: 585702
- new version 1.12.1

* Tue Oct 22 2013 umeabot <umeabot> 1.12.0-4.mga4
+ Revision: 543855
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 dlucio <dlucio> 1.12.0-3.mga4
+ Revision: 514827
- requieres changed since pycrypto changed its provides

* Tue Oct 15 2013 pterjan <pterjan> 1.12.0-2.mga4
+ Revision: 499077
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Oct 05 2013 philippem <philippem> 1.12.0-1.mga4
+ Revision: 491801
- Update to 1.12.0

* Wed Jul 10 2013 philippem <philippem> 1.10.1-1.mga4
+ Revision: 452609
- Update to 1.10.1

* Sun Jan 13 2013 umeabot <umeabot> 1.7.7.1-2.mga3
+ Revision: 379224
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 17 2011 ovitters <ovitters> 1.7.7.1-1.mga2
+ Revision: 144543
- new version 1.7.7.1

* Sun Jan 23 2011 ennael <ennael> 1.7.6-2.mga1
+ Revision: 35590
- imported package python-paramiko

